<jsp:directive.page pageEncoding="UTF-8" />
<!--
	// printUserInfo.jsp は、UserInfo オブジェクトを取り出します。
-->

<div class="bold">UserInfo Names</div>
<table class="box_all" style="white-space: normal">
	<tr><th>KEY</th><th>NAME</th></tr>
	<jsp:scriptlet>
		if( true ) {
			org.opengion.hayabusa.common.UserSummary[] userInfos = org.opengion.hayabusa.common.SystemManager.getRunningUserSummary( "ID",true );

			for( org.opengion.hayabusa.common.UserSummary info : userInfos) {
				if( info == null ) { continue; }
				String key  = info.getUserID();
				Object name = info.getJname();
	</jsp:scriptlet>
	<tr><td><jsp:expression>key</jsp:expression>
		</td><td style="white-space: normal"><jsp:expression>name</jsp:expression></td>
	</tr>
	<jsp:scriptlet>
			}
		}
	</jsp:scriptlet>
</table>
<p><!-- --></p>
